%global debug_package %{nil}
%define build_timestamp %{lua: print(os.date("%Y%m%d"))}

Name:          atracdenc
Version:       0.0.4
Release:       %{dist}
Summary:       Dirty implementation of ATRAC1, ATRAC3 encoder
License:       BSD-3-Clause
BuildRequires: git
BuildRequires: cmake
BuildRequires: libsndfile-devel
BuildRequires: make
Requires:      libsndfile


%description
Implementation of ATRAC1, ATRAC3 encoders


%prep
%setup -T -c %{name}-%{version}
git clone https://github.com/dcherednik/atracdenc .


%build
%cmake \
  -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
  -DCMAKE_BUILD_TYPE=Release \
  -DENABLE_PCH=true \
  -DENABLE_PIPEWIRE=false \
  .

%cmake_build


%install
install -p -D -m 0666 redhat-linux-build/src/atracdenc %{buildroot}%{_bindir}/atracdenc
 

%clean
rm -rf %{buildroot}


%files
%{_bindir}/atracdenc
%doc
